MATLAB Answers

Matlab Compiler 7.1

23 views (last 30 days)
I recently updated my Matlab and Matlab Compiler to 2019b. I compiled a script with the compiler using the new versions and when I run the executable, I get an error that the application "Could not find version 9.7 of the Matlab runtime, attempting to load mclmcrrt9_7.dll. Please install the correct version of the Matlab runtime." My question is why do I need the runtime if I have matlab installed on my computer. What am I missing in my new setup?

  0 Comments

Sign in to comment.

Accepted Answer

Kojiro Saito
Kojiro Saito on 7 Jan 2020
If you have installed MATLAB and want to run applications compiled by MATLAB Compiler, make sure that MATLABROOT\runtime\win64 (as of Windows) is added in your environment PATH.
Where MATLABROOT is MATLAB's installation path. (for example, C:\Program Files\MATLAB\R2019b)
Related document:

  1 Comment

Christopher Freitas
Christopher Freitas on 7 Jan 2020
Thank you. I have updated my path accordingly and it now works properly.

Sign in to comment.

More Answers (0)

Products


Release

R2019b

Translated by